<template>
  <component
    :is="tagName"
    :id="settings.id || null"
    :class="settings.class"
    :style="settings.style"
    v-text="settings.text"
  ></component>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  computed: {
    settings() {
      return this.layout.settings
    },

    tagName() {
      return this.settings.tag || 'h1'
    },
  },
}
</script>
